<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" />
	<xsl:strip-space elements="*" />
	<xsl:template match="text">
		<xsl:value-of select="." />
	</xsl:template>
	<xsl:template match="/family">
		<xsl:text>Family:
</xsl:text>
		<xsl:apply-templates />
	</xsl:template>
	<xsl:template match="father|mother">
		<xsl:apply-templates />
		<xsl:text>
</xsl:text>
	</xsl:template>
	<xsl:template match="children">
		<xsl:text>
Children:
</xsl:text>
		<xsl:apply-templates />
	</xsl:template>
	<xsl:template match="kid">
		<xsl:choose>
			<xsl:when test="count(preceding-sibling::kid) = 0">
				<xsl:choose>
					<xsl:when test="@sex = 'female'">
						<xsl:text>Daughters: </xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>Sons: </xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="preceding-sibling::kid/@sex != @sex">
						<xsl:choose>
							<xsl:when test="@sex = 'female'">
								<xsl:text>
Daughters: </xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>
Sons: </xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>, </xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:apply-templates />
	</xsl:template>
</xsl:stylesheet>
